/***********************************************************
 * $Id$
 *
 * FancyLibs
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

/****************************************************************************
**
** Author: Wolfgang Glas / EV-i
**
** Global ABI stuff.
** 
*****************************************************************************/

#ifndef FANCYSOCK_H
#define FANCYSOCK_H

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancysock3_DLL
#   define FANCYSOCK_API __attribute__((dllexport))
#  else
#   define FANCYSOCK_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_fancysock3_DLL
#   define FANCYSOCK_API __declspec(dllexport)
#  else
#   define FANCYSOCK_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYSOCK_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYSOCK_INTERNAL_API
#define FANCYSOCK_INTERNAL_API
#endif

#ifndef FANCYSOCK_API
#define FANCYSOCK_API
#endif

#endif // ! FANCYSOCK_H
